|  | Home · All Namespaces · All Classes · Main Classes · Grouped Classes · Modules · Functions |

# Obsolete Members for Q3ProgressBar

The following class members are obsolete. They are provided to keep old source code working. We strongly advise against using them in new code.

- Q3ProgressBar class reference

### Public Functions

- Q3ProgressBar ( int totalSteps, QWidget * parent, const char * name, Qt::WindowFlags f = 0 ) `(obsolete)`
- Q3ProgressBar ( QWidget * parent, const char * name, Qt::WindowFlags f = 0 ) `(obsolete)`

- 3 public functions inherited from QWidget

## Member Function Documentation

### Q3ProgressBar::Q3ProgressBar ( int totalSteps, QWidget * parent, const char * name, Qt::WindowFlags f = 0 )

Constructs a progress bar.

The totalSteps is the total number of steps that need to be completed for the operation which this progress bar represents. For example, if the operation is to examine 50 files, this value would be 50. Before examining the first file, call setProgress(0); call setProgress(50) after examining the last file.

The parent, name and widget flags, f, are passed to the QFrame::QFrame() constructor.

See also setTotalSteps() and setProgress().

### Q3ProgressBar::Q3ProgressBar ( QWidget * parent, const char * name, Qt::WindowFlags f = 0 )

Constructs a progress bar.

The total number of steps is set to 100 by default.

The parent, name and widget flags, f, are passed on to the QFrame::QFrame() constructor.

See also setTotalSteps().